# GrapesJS Plugin Publish Custom

This enables you to publish rendered html from grapesJs.



## Summary

* Plugin
  * Name: `grapesjs-plugin-publish-custom`
  * Options:
      * publishRequestUrl: `<server url to publish>`,
      * publishRequestHeaders: `<api header key>`,



## Download

* `npm i grapesjs-plugin-publish-custom`



## Usage

```html
<link href="path/to/grapes.min.css" rel="stylesheet"/>
<link href="path/to/grapesjs-plugin-publish-custom.css" rel="stylesheet"/>

<script src="path/to/grapes.min.js"></script>
<script src="path/to/grapesjs-plugin-publish-custom.min.js"></script>

<div id="gjs"></div>

<script type="text/javascript">
  var editor = grapesjs.init({
      container : '#gjs',
      plugins: ['gjs-plugin-publish-custom'],
      pluginsOpts: {
        'gjs-plugin-publish-custom': {
           publishRequestUrl: '<server url to publish>',
           publishRequestHeaders: '<api header key>'
        }
      }
  });
</script>
```



## Development

Clone the repository

```sh
$ git clone https://github.com/PokatilovArt/grapesjs-plugin-publish-custom.git
$ cd grapesjs-plugin-publish-custom
```

Install it

```sh
$ npm i
```

The plugin relies on GrapesJS via `peerDependencies` so you have to install it manually (without adding it to package.json)

```sh
$ npm i grapesjs --no-save
```

Start the dev server

```sh
$ npm start
```



## License

MIT
